# Uses of Interface
org.w3c.dom.ls.LSInput

Packages that use LSInput
Package
Description
javax.xml.catalog
Provides the classes for implementing XML Catalogs OASIS Standard V1.1, 7 October 2005.
org.w3c.dom.ls
Provides interfaces for DOM Level 3 Load and Save.

- ## Uses of LSInput in javax.xml.catalog

  Methods in javax.xml.catalog that return LSInput
  Modifier and Type
  Method
  Description
  `LSInput`
  CatalogResolver.`resolveResource(String type, String namespaceUri, String publicId, String systemId, String baseUri)`
  Implements `LSResourceResolver`.

- ## Uses of LSInput in org.w3c.dom.ls

  Methods in org.w3c.dom.ls that return LSInput
  Modifier and Type
  Method
  Description
  `LSInput`
  DOMImplementationLS.`createLSInput()`
  Create a new empty input source object where `LSInput.characterStream`, `LSInput.byteStream` , `LSInput.stringData` `LSInput.systemId`, `LSInput.publicId`, `LSInput.baseURI`, and `LSInput.encoding` are null, and `LSInput.certifiedText` is false.
  `LSInput`
  LSLoadEvent.`getInput()`
  The input source that was parsed.
  `LSInput`
  LSProgressEvent.`getInput()`
  The input source that is being parsed.
  `LSInput`
  LSResourceResolver.`resolveResource(String type, String namespaceURI, String publicId, String systemId, String baseURI)`
  Allow the application to resolve external resources.
  Methods in org.w3c.dom.ls with parameters of type LSInput
  Modifier and Type
  Method
  Description
  `Document`
  LSParser.`parse(LSInput input)`
  Parse an XML document from a resource identified by a `LSInput`.
  `Node`
  LSParser.`parseWithContext(LSInput input, Node contextArg, short action)`
  Parse an XML fragment from a resource identified by a `LSInput` and insert the content into an existing document at the position specified with the `context` and `action` arguments.